<?php
session_start();
include("include/config.php");
include("include/protect.class.php");
include("include/functions.php");
include_once('adminmotormarket/include/jdf.php');

$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
$user_id=$_SESSION['userID'];



if($_GET['act'] == 'settle'){
//-----------------------------------------------------------------------------   
if($_POST['pay_bk']){
			$bank_kind = $_POST['epay_bk'];
		    $amount = (int)$_POST['amount'];
			$sql = $db->query("select * from u_users where ID = '".(int)$_SESSION['userID']."'");
			$res = $db->fetchNextArray($sql);
            $db->execute("insert into settle set settle_kind ='4',
												bank_id = '".$db->safe_string($bank_kind)."',
												payer_id = '".(int)$user_id."',
												amount = '".(int)($amount)."',
												date_now=now(),
												order_id = '".(int)$order_id."'
												");
			$settle_id  = $db->lastInsertedId();
			header('Location:epay.php?act=pay_success_online&settle_id='.$settle_id.'&bk='.$_POST['epay_bk']);

}
//--------------------------------------------------------------
if($_POST['pay_first']){
	
			$amount = (int)$_POST['amount'];
			$pay_day = (int)$_POST['Day'];
			$pay_month = (int)$_POST['Month'];
			$pay_year = (int)$_POST['Year'];
			$bank_kind = $_POST['bank_kind'];
		
			switch($bank_kind){
				case 1:
					$bank_kind = $_POST['Bank_1'];
					$acc_num = $_POST['RedNO'];
				break;
				case 2:
					$bank_kind = $_POST['Bank_2'];
					$acc_num = $_POST['last4number'];
				break;
				case 3:
					$bank_kind = $_POST['Bank_3'];
					$acc_num = $_POST['acc_num'];
				break;
			}
		
			$db->execute("insert into settle set settle_id = '',
												settle_kind ='5',
												bank_id = '".$db->safe_string($bank_kind)."',
												payer_id = '".(int)$user_id."',
												amount = '".(int)($amount)."',
												acc_num = '".$db->safe_string($acc_num)."',
												pay_day = '".$db->safe_string($pay_day)."',
												pay_month = '".$db->safe_string($pay_month)."',
												pay_year = '".$db->safe_string($pay_year)."',
												date_now=now(),
												order_id = '".(int)$order_id."',
												settle_status='".(int)$settle_status."'
												");
			 $settle_id = $db->lastInsertedId();

$msg = "<span style='font-family:Tahoma, Arial; font-size:12px; direction:rtl; float:right;'><span style='font-weight:bold; color:#090'> ثبت پرداخت: </span> با تشکر <br /> شما مبلغ ".$amount." ریال  به حساب سايت واریز کرده اید. در صورت صحت اطلاعات درج شده در سایت در اولین ساعات کاری درخواست شما تایید خواهد شد و در غیر اینصورت با شما تماس گرفته خواهد شد.<br /><br> با تشکر <br /> واحد پشتیبانی پیش ساخته خاور میانه <br><br> ";
		send_mail($user_id, " ثبت پرداخت", $msg);
		header('Location:epay.php?act=pay_success_1&settle_id='.$settle_id);
 }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>افزایش موجودی| موتورمارکت</title>
<meta content="ثبت نام در موتورمارکت" name="keywords">
<meta content="ثبت نام در موتورمارکت" name="description">
<?php include("include/motor/head.php");?>
<script language="JavaScript" type="text/javascript" src="ajax_base.js"></script>
<script src="js/jquery.validationEngine-fa.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript"></script>
<script type="text/javascript" charset="utf-8">
$(document).ready(function() {			
	$("#formID").validationEngine();
});
</script>
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css" media="screen" title="no title" charset="utf-8" />
</head>
<body onload="MM_preloadImages('images/special-car-h.jpg','images/accessories-h.jpg')">
<div id="page-wrapper">
  <div id="page">
   <?php include("include/motor/menu.php");?> 
    <div id="main">
      <div id="main-inside">
        
         <?php include("include/motor/rightsidebar.php");?> 
         <?php //include("include/motor/adstop.php");?>  
		<div id="left-search-sidebar">
           <div id="left-ads-sidebar">
           	<div class="ads-box-base">
            	<div class="ads-box-top">افزایش موجودی</div>
                <div class="ads-box">
                	<div class="adscenter">
				<div class="content-news-text"  style="width:750px;">
         

<?php			  
if($_GET['act']=="pay_success_1"){
	echo debug_message('اطلاعات پرداخت شما به شماره Danapajooh-'.$_GET['settle_id'].' با موفقیت ثبت شد ، حداکثر ظرف 24 ساعت آینده به درخواست شما پاسخ داده خواهد شد.<br />',2, $width = false);
}
//----------------------------------------------------------------------------	
	
if($_GET['act']=="pay_success_online"){
	if($_GET['bk'] == 'PASARGAD'){
		$bank = 'PASARGAD';
	}elseif($_GET['bk'] == 'SB'){
		$bank = 'SAMAN';
	}
	$settelAmount=getAmountSettelَََ($_GET['settle_id']);
	echo debug_message('اطلاعات پرداخت شما به شماره Danapajooh-'.$_GET['settle_id'].' با موفقیت ثبت شد ، شما با کلیک بر روی تكميل فرايند خريد جهت پرداخت '.$settelAmount.' ریال به صفحه بانک هدایت می شوید.<br>', 2, $width = false).'
	<div align="center">
	﻿<form name="checkout_confirmation" action="epay/'.$bank.'/index.php" method="post">
	<input type="hidden" name="Amount" value="'.$settelAmount.'">
	<input type="hidden" name="pay_from" value="">
	<input type="hidden" name="memo" value="'.$_GET['settle_id'].'">
	<input type="hidden" name="ACT" value="CREATE_FORM">
	<table><tr>
	<td><input type="submit" value="تكميل فرايند خريد" style="font-family:Tahoma;" class="ord_btn">
	</td><td><img src="images/flashing_arrow.gif">
	</td></tr></table>
	</form></div><br>
	';
	
	echo $irMassage;
}
?>
<form action="epay.php?act=settle" method="post" id="formID" name="formID">
<table bgcolor="" style="line-height:22px">
		<tr>
        	<td>
        	<input type="hidden" name="user_id" id="user_id" value="<?=$_SESSION['userID']?>" />
     		<p  dir="rtl" style="color: #F90;"> لطفاً یکی از روشهای زیر را جهت پرداخت وجه انتخاب کنید . </p>
          <input type="radio" name="settle_status" value="2" onclick="javascript:get('page_result',this.parentNode,'status2', '?act=epay', 'send_ajax.php'); off('status2');loading(&quot;page_result&quot;);" id="status2"/>
          <b style="font-size:11px;"> پرداخت آنلاین . </b> ( با استفاده از همه کارتهای عضو شتاب می توانید پرداخت کنید . )<br />
                    
          <input type="radio" name="settle_status" value="3" onclick="javascript:get('page_result',this.parentNode,'status3', '?act=pay_first', 'send_ajax.php'); off('status3');loading(&quot;page_result&quot;);" id="status3"/>
          <b style="font-size:11px;"> قبلاً پرداخت کرده ام </b>(در صورتی که قبلا به صورت   نقدی  , کارت به کارت , اینترنت بانک پرداخت کرده اید این گزینه را انتخاب کنید )<br />

<div  dir="rtl" id="page_result"></div>
<br />
<p align="center"><input type="submit" value=" تایید پرداخت" class="ord_btn"/>   </p>       

		</td>
     </tr>
 </table>
        </div>
                	</div>
                </div>
                <div class="ads-box-bottom"></div>
            </div>
           </div>
         </div>    
      </div>      
    </div>
    <?php include("include/motor/footer.php");?>         
  </div> 
 
</div>
<?php } ?>
</body>
</html>
